Package tigase.component

## Class BackwardCompatibilityHelper

- java.lang.Object
- - tigase.component.BackwardCompatibilityHelper

-     public class BackwardCompatibilityHelper
      extends java.lang.Object

  Created by andrzej on 12.08.2016.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BackwardCompatibilityHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.Object` | `convertToArray​(java.util.Collection collection)` |
    `static java.lang.Object` | `convertToBoolArray​(java.util.Collection col)` |
    `static java.lang.Object` | `convertToDoubleArray​(java.util.Collection col)` |
    `static java.lang.Object` | `convertToFloatArray​(java.util.Collection col)` |
    `static java.lang.Object` | `convertToIntArray​(java.util.Collection col)` |
    `static java.lang.Object` | `convertToLongArray​(java.util.Collection col)` |
    `static java.lang.Object` | `convertToStringArray​(java.util.Collection col)` |
    `static java.util.Map<java.lang.String,​java.lang.Object>` | `fillProps​(java.util.Map<java.lang.String,​java.lang.Object> beanProperties)` |
    `static java.util.Map<java.lang.String,​java.lang.Object>` | `getDefConfigParams​(Kernel kernel, java.lang.String configType, java.lang.String dbUri, java.util.Map<java.lang.String,​java.lang.Object> params)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BackwardCompatibilityHelper

          public BackwardCompatibilityHelper()

  - ### Method Detail

    - #### convertToArray

          public static java.lang.Object convertToArray​(java.util.Collection collection)

    - #### convertToBoolArray

          public static java.lang.Object convertToBoolArray​(java.util.Collection col)

    - #### convertToDoubleArray

          public static java.lang.Object convertToDoubleArray​(java.util.Collection col)

    - #### convertToFloatArray

          public static java.lang.Object convertToFloatArray​(java.util.Collection col)

    - #### convertToIntArray

          public static java.lang.Object convertToIntArray​(java.util.Collection col)

    - #### convertToLongArray

          public static java.lang.Object convertToLongArray​(java.util.Collection col)

    - #### convertToStringArray

          public static java.lang.Object convertToStringArray​(java.util.Collection col)

    - #### fillProps

          public static java.util.Map<java.lang.String,​java.lang.Object> fillProps​(java.util.Map<java.lang.String,​java.lang.Object> beanProperties)

    - #### getDefConfigParams

          public static java.util.Map<java.lang.String,​java.lang.Object> getDefConfigParams​(Kernel kernel,
                                                                                                  java.lang.String configType,
                                                                                                  java.lang.String dbUri,
                                                                                                  java.util.Map<java.lang.String,​java.lang.Object> params)